public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/zstd-ruby/
@ 2025-03-15 17:35 Hans de Graaff
  0 siblings, 0 replies; 2+ messages in thread
From: Hans de Graaff @ 2025-03-15 17:35 UTC (permalink / raw
  To: gentoo-commits

commit:     4da2c8f5f9ddc946bea5531a2f13873c6d0772ee
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 15 17:35:02 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Mar 15 17:35:49 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4da2c8f5

dev-ruby/zstd-ruby: new package, add 1.5.6.6

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/zstd-ruby/Manifest                 |  1 +
 dev-ruby/zstd-ruby/metadata.xml             | 12 +++++++++
 dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild | 41 +++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/dev-ruby/zstd-ruby/Manifest b/dev-ruby/zstd-ruby/Manifest
new file mode 100644
index 000000000000..042eadc59b1d
--- /dev/null
+++ b/dev-ruby/zstd-ruby/Manifest
@@ -0,0 +1 @@
+DIST zstd-ruby-1.5.6.6.tar.gz 1956988 BLAKE2B 66e9d5e077dd9a721f185c61f5859a12e1b6b57144a413f5e7875121d5d475fa5d349c57bcfd5b8b8f696b7e87a8423b9756ef15a3ba7fbbbf3463dda4320c65 SHA512 396264d16f9c66ec1edd1db9a99b08d31a7ad71c19dbbc61abd5c4e21b957c87ca1c3daedaebbf22098f8ae544de12331b79ffe06548a5cdbdd199141c9f9984

diff --git a/dev-ruby/zstd-ruby/metadata.xml b/dev-ruby/zstd-ruby/metadata.xml
new file mode 100644
index 000000000000..2f5ac81a40cc
--- /dev/null
+++ b/dev-ruby/zstd-ruby/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">SpringMT/zstd-ruby</remote-id>
+    <remote-id type="rubygems">zstd-ruby</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild b/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild
new file mode 100644
index 000000000000..0f0e3260bec3
--- /dev/null
+++ b/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+# This gem includes a bundled version of app-arch/zstd. It requires
+# features that are only available with a statically linked zstd library
+# (e.g. ZSTD_SKIPPABLEHEADERSIZE) and changing the build system to build
+# against a statically linked app-arch/zstd does not seem worth it.
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/zstdruby/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/zstd-ruby"
+RUBY_FAKEGEM_GEMSPEC="zstd-ruby.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby binding for zstd (Zstandard - Fast real-time compression algorithm)."
+HOMEPAGE="https://github.com/SpringMT/zstd-ruby"
+SRC_URI="https://github.com/SpringMT/zstd-ruby/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+
+all_ruby_prepare() {
+	sed -e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC}
+
+	# Removing the -O3 optimization flag causes the test suite to hang
+	# consuming CPU.
+	# sed -e '/CFLAGS/ s/-O3//' \ -i
+	# ext/zstdruby/extconf.rb || die
+
+	sed -e '/bundler/ s:^:#:' \
+		-i spec/spec_helper.rb || die
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/zstd-ruby/
@ 2025-04-02  7:52 Hans de Graaff
  0 siblings, 0 replies; 2+ messages in thread
From: Hans de Graaff @ 2025-04-02  7:52 UTC (permalink / raw
  To: gentoo-commits

commit:     1f52e2ed487f81e03ba54754a97dc738d9a94010
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  2 07:51:22 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Apr  2 07:51:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f52e2ed

dev-ruby/zstd-ruby: enable ruby34

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild b/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild
index 0f0e3260bec3..da610c049877 100644
--- a/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild
+++ b/dev-ruby/zstd-ruby/zstd-ruby-1.5.6.6.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
 
 # This gem includes a bundled version of app-arch/zstd. It requires
 # features that are only available with a statically linked zstd library
@@ -38,4 +38,7 @@ all_ruby_prepare() {
 
 	sed -e '/bundler/ s:^:#:' \
 		-i spec/spec_helper.rb || die
+
+	sed -e '/pry/ s:^:#:' \
+		-i spec/zstd-ruby-stream_reader_spec.rb || die
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2025-04-02  7:52 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-15 17:35 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/zstd-ruby/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2025-04-02  7:52 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox